Bug 1276280 - Checksum error on metadata read if PV created with inappropriate pvcreate options
Checksum error on metadata read if PV created with inappropriate pvcreate opt...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 06:41 EDT by Peter Rajnoha
Modified: 2015-10-30 12:02 EDT (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.133-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-30 12:02:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Rajnoha 2015-10-29 06:41:53 EDT
Actual results:
# pvcreate --dataalignment 1k --metadatasize 1k /dev/sda
  Physical volume "/dev/sda" successfully created

# vgcreate vg /dev/sda
  Volume group "vg" successfully created

# pvs
  /dev/sda: Checksum error
  Couldn't read volume group metadata.
  /dev/sda: Checksum error
  Couldn't read volume group metadata.
  /dev/sda: Checksum error
  Couldn't read volume group metadata.
  PV         VG     Fmt  Attr PSize   PFree  
  /dev/sda          lvm2 ---  128.00m 128.00m
  /dev/vda2  fedora lvm2 a--   19.49g      0 

# lvm version
  LVM version:     2.02.133(2)-git (2015-09-22)
  Library version: 1.02.110-git (2015-09-22)
  Driver version:  4.33.0

Expected results:
vgcreate should stop creating the VG on a PV with inappropriate properties if it would lead to checksum error later on.

Note You need to log in before you can comment on or make changes to this bug.